Skip site navigation (1) Skip section navigation (2)

Re: Bug #542: 7.1.3 will not compile/install on SCO Open Server 5.0.4/5.0.5

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: simrw(at)sim-basis(dot)de
Cc: Bill(dot)Allie(at)mug(dot)org, pgsql-bugs(at)postgresql(dot)org
Subject: Re: Bug #542: 7.1.3 will not compile/install on SCO Open Server 5.0.4/5.0.5
Date: 2001-12-18 16:24:56
Message-ID: 13758.1008692696@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-bugs
pgsql-bugs(at)postgresql(dot)org writes:
> 7.1.3 will not compile/install on SCO Open Server 5.0.4/5.0.5

AFAICT, all these code changes are already present in current sources
(7.2 beta).  Would you be willing to pull down the current beta and
do a build/regression test?

> Also to note for SCO is that apart from the obligatory base
> patch (RS504C for 5.0.4, RS505A for 5.0.5) the following
> patches MUST be applied BEFORE the make ;-)
> OSS459B
> OSS495C
> OSS499A
> Other patches MAY be relevant according to your system.
> Note that the kernel parameters for semaphores/shared memory must
> be upped to enable Postgresql to run.

This info presumably belongs in FAQ_SCO, but I'm a little unclear on its
applicability.  Is it relevant to UnixWare?  Do SCO users all know where
to get these patches?

Could someone come up with a patch to apply to FAQ_SCO?

			regards, tom lane

In response to

pgsql-bugs by date

Next:From: pgsql-bugsDate: 2001-12-18 16:57:27
Subject: Bug #543: Unable to build postgres on Aix
Previous:From: Tom LaneDate: 2001-12-18 14:58:53
Subject: Re: stuck spinlock. Aborting. What does this mean?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group